/*
 * $Id: epgfilter.h 367 2020-09-09 11:22:35Z gingko $
 * Copyright (C) 2006 Pouchin <pouchinteve@free.fr>
 *
 * This file is part of Pouchin TV Mod, a free DVB-T viewer.
 * See http://www.pouchintv.fr/ for updates.
 *
 * Pouchin TV Mod is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pouchin TV Mod is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *
 * Most files of this project have been changed from the Pouchin TV
 * project (Copyright (C) 2006 Pouchin <pouchinteve@free.fr>),
 * to use with a modified version of this software.
 * See http://pouchinteve.free.fr/ for the original project.
 */

/** \file
 *	\brief Interface du filtre (interne) EPG.
 *
 *	Ce fichier dfinit l'interface du filtre (interne) EPG, qui sert 
 *	rcuprer, dans le flux TS du multiplex courant, toutes les informations
 *	destines au guide lectronique des programmes (EPG).
 **/

#pragma once

#include <streams.h>

#define EPG_FILTER_NAME	"Filtre EPG PTvM"

class DECLSPEC_UUID("3A81A9CF-606B-458f-8244-9DC73128C79E") CEPGFilter : public CBaseRenderer
{
	// Derived classes MUST override these
	HRESULT DoRenderSample(IMediaSample *pMediaSample);
	HRESULT CheckMediaType(const CMediaType *pmt);
public:
	CEPGFilter(IUnknown *pUnk, HRESULT *phr);

	// IUnknown
	DECLARE_IUNKNOWN;
	//STDMETHODIMP	NonDelegatingQueryInterface(REFIID riid, void ** ppv);

	static LPCWSTR				szFilterName;	// Ne PAS convertir en LPCTSTR (TCHAR)
	static CUnknown * WINAPI	CreateInstance(IUnknown *pUnk, HRESULT *phr);

	virtual ~CEPGFilter();
};
