#
# $Id: makefile.mak 49 2010-11-14 10:14:13Z gingko $
# Copyright (C) 2010 gingko - http://gingko.homeip.net/
#
# This file is part of the Pouchin TV Mod documentation.
# See http://www.pouchintv.fr/ for updates.
#
# Pouchin TV Mod is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Pouchin TV Mod is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
#

# Note : ce fichier doit tre sauvegard en encodage CP437 ou CP850

# Nom de base
BN=PouchinTvMod

# Si la macro "OUT" est prdfinie (pathname complet), elle devient la cible
!IFDEF OUT
TARG=$(OUT)
!ELSE
TARG=$(BN).chm
!ENDIF

# Dfinition du rpertoire "Program Files" pour HHC, selon la plateforme de Windows
!IFDEF PROGRAMFILES(X86)
PR=$(PROGRAMFILES\(X86\))
!ELSE
PR=$(PROGRAMFILES)
!ENDIF
HHC=$(PR)\HTML Help Workshop\hhc.exe

HTML_DEPS= \
	html\\*.gif \
	html\\*.png \
	html\\*.css \
	html\\*.tpl \
	html\\filelist.xml \
	html\\autresfonctions.html \
	html\\captures.html \
	html\\chaineoptions.html \
	html\\chaines.html \
	html\\changelog.html \
	html\\codecsupplementaires.html \
	html\\configrequise.html \
	html\\configuration.html \
	html\\enregistrement.html \
	html\\faq.html \
	html\\fonctionnement.html \
	html\\index.html \
	html\\installation.html \
	html\\liens.html \
	html\\options.html \
	html\\optionscommande.html \
	html\\pilotes.html \
	html\\pilotesbda.html \
	html\\presentation.html \
	html\\proprietetuner.html \
	html\\raccourcis.html

# ---------------------------------------------------------------------------------------------------------
!IF EXIST("$(HHC)")
# ---------------------------------------------------------------------------------------------------------

# Cible de base

all : "$(TARG)"

# Mise  jour du fichier "changelog.html", dont la dernire version doit, si la liaison entre les projets
# grs par Subversion est correctement faite, se trouver dans le rpertoire immdiatement suprieur

html\\changelog.html : ..\\changelog.html
	@echo Rcupration de la dernire version de "changelog.html"
	copy $** $@

# Rgle pour l'analyse du code HTML et la gnration des fichiers projet HHC

"$(BN).hhp" "$(BN).hhc" "$(BN).hhk" : $(HTML_DEPS)
	@echo Excution de "index_parser.exe"
	index_parser.exe html\filelist.xml PouchinTVMod "$(TARG)"


# Rgle pour la gnration du .chm (le "-1" en tte compense le fait que
# HHC ne retourne pas un code de 0 en l'absence d'erreur)

"$(TARG)" : "$(BN).hhp" "$(BN).hhc" "$(BN).hhk" "$(PR)\HTML Help Workshop\hhc.exe"
	-1 "$(HHC)" "$(BN).hhp" >NUL
	type "$(BN).log"

# ---------------------------------------------------------------------------------------------------------
!ELSE
# ---------------------------------------------------------------------------------------------------------

# Cible de base

all:
	@echo.
	@echo ############################################################################################
	@echo ###### Veuillez installer 'HTML Help Workshop' pour pouvoir generer la documentation. ######
	@echo ###### -------------- http://msdn.microsoft.com/en-us/library/ms669985 -------------- ######
	@echo ############################################################################################
	@echo.

# ---------------------------------------------------------------------------------------------------------
!ENDIF
# ---------------------------------------------------------------------------------------------------------

# Cible de nettoyage

clean :
	@echo Nettoyage
	@if exist "$(BN).hh?" del "$(BN).hh?"
	@if exist "$(TARG)" del "$(TARG)"

