/*
 * $Id: lzma.h 257 2010-08-03 07:35:33Z gingko $
 * Copyright (C) 2010 gingko - http://gingko.homeip.net/
 *
 * This file is part of Pouchin TV Mod, a free DVB-T viewer.
 * See http://www.pouchintv.fr/ for updates.
 *
 * Pouchin TV Mod is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pouchin TV Mod is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *
 * Most files of this project have been changed from the Pouchin TV
 * project (Copyright (C) 2006 Pouchin <pouchinteve@free.fr>),
 * to use with a modified version of this software.
 * See http://pouchinteve.free.fr/ for the original project.
 */

/** \file
 *	\brief Gestion de la dcompression LZMA
 *
 *	Ce fichier contient l'appel de fonction ncessaire  la dcompression de
 *  blocs de mmoire compresss  la norme LZMA (7-Zip).
 **/

#pragma once

#include "utils.h"

/**
 * Dcompresse les donnes LZMA
 *
 * \param[out] vDecompresse	Vecteur d'octets initialiss dans la fonction contenant les donnes dcompresses
 * \param[in]  vCompresse	Vecteur d'octets des donnes compresses
 * \return					Indique le statut de la dcompression
 **/
bool DecompressLzma(ByteVector & vDecompresse, const ByteVector & vCompresse);

