/*
 * $Id: mean_helper.h 279 2011-03-26 12:21:20Z gingko $
 * Copyright (C) 2010 gingko - http://gingko.homeip.net/
 *
 * This file is part of Pouchin TV Mod, a free DVB-T viewer.
 * See http://www.pouchintv.fr/ for updates.
 *
 * Pouchin TV Mod is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pouchin TV Mod is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *
 * Most files of this project have been changed from the Pouchin TV
 * project (Copyright (C) 2006 Pouchin <pouchinteve@free.fr>),
 * to use with a modified version of this software.
 * See http://pouchinteve.free.fr/ for the original project.
 */

/** \file
 *	\brief Assistance au calcul de moyenne
 **/

/**
 * Structure "template" d'assistance  l'valuation de la moyenne des N plus
 * rcentes valeurs de type T donnes.
 **/
template <typename T, int N>
	struct MeanHelper
{
	unsigned short	ix;
	unsigned short	s;
	T				t[N];

	MeanHelper() :
		ix(0),
		s(0)
	{}

	T mean() const {
		// Rcupration de la moyenne des N plus rcentes valeurs :
		int		i;
		T	r = 0;

		if (s==0)
			return 0;
		for (i=0; i<s; i++)
			r += t[i];
		return r/s;
	}

	unsigned short submit(T v) {
		// Soumission d'une nouvelle valeur :
		t[ix++] = v;
		if (s < N)
			s++;
		if (ix >= N)
			ix = 0;
		return s;	// Le nombre de valeurs mmorises est retourn
	}
};
