/*
 * $Id: settings.h 278 2011-03-24 21:25:05Z gingko $
 * Copyright (C) 2007 gingko - http://gingko.homeip.net/
 *
 * This file is part of Pouchin TV Mod, a free DVB-T viewer.
 * See http://www.pouchintv.fr/ for updates.
 *
 * Pouchin TV Mod is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pouchin TV Mod is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *
 * Most files of this project have been changed from the Pouchin TV
 * project (Copyright (C) 2006 Pouchin <pouchinteve@free.fr>),
 * to use with a modified version of this software.
 * See http://pouchinteve.free.fr/ for the original project.
 */

/** \file
 *	\brief Dfinitions d'appels lis aux dialogues de configuration
 *
 *	Ce fichier contient les dfinitions des points d'entre des
 *	diffrents dialogues de configuration de Pouchin TV Mod.
 **/

#pragma once

/**
 * Appel du dialogue de configuration en mode normal en attendant l'implmentation
 * ventuelle d'un "wizard".
 *
 * \retval IDOK     si la configuration a t valide
 * \retval IDCANCEL si elle a t annule
 * \todo Implmenter ventuellement un "wizard" (assistant).
 **/
BYTE drivers_dialog();

/**
 * Appel du dialogue de recherche des chanes en mode normal en attendant l'implmentation
 * ventuelle d'un "wizard".
 *
 * \param[in]	hParentWnd	\p HANDLE de la fentre parente
 * \retval		IDOK		si la configuration a t valide
 * \retval		IDCANCEL	si annul sans scan
 * \retval		IDABORT		si elle a t annule avec un scan
 **/
BYTE scan_dialog(HWND hParentWnd);

/**
 * Appel du dialogue de configuration
 *
 * \param[in]  hwndOwner  handle de la fentre parente
 * \return	\p true si redmarrage du graphe ncessaire
 **/
bool do_config(HWND hwndOwner);
