/*
 * $Id: update.h 395 2020-10-07 16:16:20Z gingko $
 * Copyright (C) 2007 lolo_32 <pouchintv-dev@baysse.fr>
 *
 * This file is part of Pouchin TV Mod, a free DVB-T viewer.
 * See http://www.pouchintv.fr/ for updates.
 *
 * Pouchin TV Mod is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pouchin TV Mod is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *
 * Most files of this project have been changed from the Pouchin TV
 * project (Copyright (C) 2006 Pouchin <pouchinteve@free.fr>),
 * to use with a modified version of this software.
 * See http://pouchinteve.free.fr/ for the original project.
 */

/** \file
 *	\brief Traitement des mises  jour par Internet (dfinitions)
 *
 *	Ce fichier contient l'appel de fonction ncessaire au
 *	traitement des mises  jour par Internet.
 **/

#pragma once

/// Inclure les versions beta dans la mise  jour
extern bool			update_include_beta;

/// Nombre de minutes entre les tests de mise  jour
#ifdef _DEBUG
	#define AUTO_UPDATE_DELAY 2				// 2 minutes en debugging
#else	// _DEBUG
	#define AUTO_UPDATE_DELAY (30 * 1440)	// 30 jours en mode normal
#endif	// _DEBUG

#define UPDATE_APP_FLAG		0x01
#define UPDATE_BETA_FLAG	0x02
#define UPDATE_ICON_FLAG	0x04
#define UPDATE_HELP_FLAG	0x08

/// Autoriser la recherche mensuelle de mise  jour (1 ou 0. Peut-tre -1 au 1er dmarrage)
extern INT			update_check_auto;

// Temps o t effectue la dernire recherche de mise  jour
extern UINT32		update_check_time;	// Timestamp Unix / 60

/**
 * Traitement de la mise  jour par Internet
 *
 * \param[in]  hOwner  handle de la fentre parente
 * \param[in]  bSearch \p true pour provoquer une recherche immdiate
 * \todo Dsactiver la mise  jour lorsque l'utilisateur n'utilise pas un compte
 * administrateur, ou bien produire un avertissement genre "Vous devez tre
 * administrateur de l'ordinateur pour pouvoir utiliser cette fonction".
 **/
void do_web_update(HWND hOwner, bool bSearch);

/**
 * Traitement de la mise  jour automatise
 *
 * \param[in]  hOwner  handle de la fentre parente
 **/
void do_web_update_check();
